# TarScanner Class Reference

Helper for scanning for files with tar as extension. More...

`#include <fileio_func.h>`

Inheritance diagram for TarScanner:

## Public Member Functions
bool | AddFile (const char *filename, size_t basepath_length)
| Add a file with the given filename.
## Static Public Member Functions
static uint | DoScan ()
| Do the scan for Tars.

## Detailed Description

Helper for scanning for files with tar as extension.

Definition at line 90 of file fileio_func.h.

## Member Function Documentation

bool TarScanner::AddFile | ( | const char * | filename,
|  | size_t | basepath_length |
| ) |  |  | `[virtual]`

Add a file with the given filename.

Parameters:

  | filename | the full path to the file to read
  | basepath_length | amount of characters to chop of before to get a filename relative to the search path.

Returns:
  true if the file is added.

< Name of the file

< Size of the file, in ASCII

< Path of the file

< Temporary list to collect links

Implements FileScanner.

Definition at line 561 of file fileio.cpp.

References Align(), DEBUG, lastof, SimplifyFileName(), and strecpy().

Referenced by ClientNetworkContentSocketHandler::AfterDownload().

uint TarScanner::DoScan | ( |  | ) | `[static]`

Do the scan for Tars.

Definition at line 546 of file fileio.cpp.

References AI_DIR, AI_LIBRARY_DIR, DATA_DIR, DEBUG, FileScanner::Scan(), and SCENARIO_DIR.

Referenced by DeterminePaths(), NewGRFWindow::OnClick(), ScanNewGRFFiles(), ShowHelp(), and NetworkContentDownloadStatusWindow::~NetworkContentDownloadStatusWindow().

The documentation for this class was generated from the following files:

- src/fileio_func.h
- src/fileio.cpp